
/******************************************************************************
*@file  : app.c
*@brief : application
*@ver   : 1.0.0
*@date  : 2022.10.20
******************************************************************************/

#include "app.h"   
#include "main.h"

COMP_HandleTypeDef COMP1_handle;

void COMP1_Init(void)
{
    HAL_RCC_FLTClockSourceConfig(RCC_FLTCLKSOURCE_PCLK_DIV32);
    
    COMP1_handle.Instance = COMP;//赋值COMP基地址
    COMP1_handle.Init.COMPx = COMP1;//指定需要配置的比较号
    COMP1_handle.Init.InPSel = COMP1_INPSEL_PA1;//指定正端输入
    COMP1_handle.Init.InMSel = COMP1_INMSEL_PA4;//指定负端输入
    COMP1_handle.Init.Polarity = COMP_POLARITY_NOINVERT;//输出极性为同相
    COMP1_handle.Init.HYS = COMP_HYS_7;//迟滞窗口选择48mv
    COMP1_handle.Init.BlankSel = COMP_BLANKSEL_NONE;//不选择切断源
    COMP1_handle.Init.WinMode = COMP_WINMODE_SELF_INP;//正端输入选择本通道
    COMP1_handle.Init.WinOut = COMP_WINOUT_DIRECT;//输出VCOUT1
    COMP1_handle.Init.FltEn = COMP_FLT_ENABLE;//滤波使能
    COMP1_handle.Init.FltTime = COMP_FLTTIME_4CLK;//滤波周期为4个周期
    
    HAL_COMP_Init(&COMP1_handle);//执行初始化
}


void APP_Test(void)
{
    printfS("COMP1 Test\r\n");
    COMP1_Init();
    HAL_COMP_Start(&COMP1_handle);
    
   

}